﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=7.32
@EndOfDesignText@
Sub Class_Globals
	Private fx As JFX 
	Dim faux As Form
	Private larguraAux As Boolean
	Private ox, oy As Double
	Private xui As XUI
	Private l As Label
End Sub

Public Sub Initialize(transparente As Boolean)

	faux.Initialize("faux", 100,100)
	faux.SetFormStyle("TRANSPARENT")

	faux.BackColor = fx.Colors.Transparent

	If transparente Then faux.RootPane.Alpha = .5

	l.Initialize("")
	
	faux.Show
	faux.RootPane.Style = "-fx-background-color: green;"

	Dim R As Reflector
	R.Target = faux.RootPane
	R.AddEventHandler("RootPaneScroll","javafx.scene.input.ScrollEvent.SCROLL")

	
	faux.AlwaysOnTop = True
	'Main.AlwaysOnTop(faux)
	
End Sub

Sub close
	faux.Close
End Sub

Sub faux_MouseDragged (EventData As MouseEvent)
	Dim jo As JavaObject = EventData
	faux.WindowLeft = jo.RunMethod("getScreenX", Null) - ox
	faux.WindowTop = jo.RunMethod("getScreenY", Null) - oy
End Sub

Sub RootPaneScroll_event(e As Event)
	Dim ThisEvent As JavaObject = e
	Dim Moved As Double = ThisEvent.RunMethod("getDeltaY",Null)
	
	If larguraAux Then
		faux.windowWidth = faux.Width - (Moved / 7)
	Else
		faux.WindowHeight = faux.height - (Moved / 7)
	End If
	
	e.Consume
End Sub

Sub faux_MousePressed (EventData As MouseEvent)
	ox = EventData.X
	oy = EventData.Y
	
	If EventData.PrimaryButtonPressed Then
		larguraAux = (larguraAux = False)
	End If
	
	If EventData.ClickCount = 2 Then 
		If faux.Height = 50 Then faux.WindowHeight = 170 Else faux.WindowHeight  = 50
	End If
	
	If EventData.SecondaryButtonPressed Then
		
		Dim j As AWTRobot
		j.ClipboardStringSet(faux.WindowLeft & ", " &  faux.Windowtop & " - largura " & faux.Windowwidth & ", altura " & faux.WindowHeight)
		
		faux.RootPane.Style = "-fx-background-color: red;"
		Sleep(50)
		faux.RootPane.Style = "-fx-background-color: green;"
		
		
		'Main.MostrarImagem(deslocamentox, deslocamentoy, 100,100)

	End If
End Sub

